org.apache.ignite.internal.util.lang.gridfunc

## Class RunnableWrapperClosure

- java.lang.Object
- - org.apache.ignite.internal.util.lang.GridAbsClosure
  - - org.apache.ignite.internal.util.lang.gridfunc.RunnableWrapperClosure

All Implemented Interfaces:
  Serializable, Runnable, IgniteRunnable

    public class RunnableWrapperClosure
    extends GridAbsClosure

Closure that wraps given runnable. Note that wrapping closure always returns `null`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`RunnableWrapperClosure(Runnable r)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `apply()` Absolute closure body.
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.util.lang.GridAbsClosure

`run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RunnableWrapperClosure

    public RunnableWrapperClosure(Runnable r)

Parameters:
  `r` - Runnable to convert to closure. If `null` - no-op closure is returned.

### Method Detail

#### apply

    public void apply()

Absolute closure body.

Specified by:
  `apply` in class `GridAbsClosure`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022